logo
Apache Lounge
Webmasters

 

About Forum Index Downloads Search Register Log in  RSS Apache Lounge  


Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Your donations will help to keep this site alive and well, and continuing building binaries. Apache Lounge is not sponsored.



Post new topic   Forum Index -> Building & Member Downloads View previous topic :: View next topic
Reply to topic   Topic: PHP 7.4.0, 7.3.12, 7.2.25, 7.1.33, 7.0, 5.6, 5.5, 5.4, 5.3 Page Previous  1, 2, 3 ... 10, 11, 12
Author
donna9



Joined: 24 Sep 2016
Posts: 6
Location: Toronto

PostPosted: Sun 11 Aug '19 19:56    Post subject: Reply with quote

Jan-E wrote:
With V8 7.2-lkgr it succeeds for most tests:

That version does not use the blob bin files yet. Try the new zip that I have uploaded now.


Success! It's working on my side now Smile Thanks very much @Jan-E!!
Back to top
ml1



Joined: 28 Jan 2009
Posts: 8

PostPosted: Tue 05 Nov '19 5:49    Post subject: 5.6.40 build Reply with quote

We're still using php 5 (incompatible other software).

Oddly, phpinfo() shows version 5.6.30 (previous version we were using), but server-info shows 5.6.40.

Any ideas as to why or what I may have done wrong?

Thanks
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 982
Location: Amsterdam, NL, EU

PostPosted: Tue 05 Nov '19 8:51    Post subject: Reply with quote

On Windows? Right click on the php-cgi.exe > Properties > Details. It should show something like:

File desciption: CGI / FastCGI
Type: Application
File version: 5.6.40.0
Product name: PHP
Product version: 5.6.40
etc.

If you are using mod_php, php5apache2_4.dll should show the same, except fot the File description. That is Apache 2.0 Handler.

Or try 'php-cgi -v' in a DOS box. On my laptop this shows at the moment:
Code:
D:\phpdev\php56nts.x32>php-cgi -v
PHP 5.6.40 (cgi-fcgi) (built: Oct 11 2019 17:16:29)
Copyright (c) 1997-2016 The PHP Group
Zend Engine v2.6.0, Copyright (c) 1998-2016 Zend Technologies
    with Xdebug v2.5.5, Copyright (c) 2002-2017, by Derick Rethans

Just curious: what incompatible other software?

Edit: the server info in 'services.msc' for Apache is retrieved from php5apache2_4.dll, the phpinfo() uses php-cgi.exe.

Edit 2: assuming you are using mod_php, could it be that the PHPINIDir points to the old version and the php5apache2_4.dll is loaded from the directory with the new version? Both paths have to be the same. Something like
Code:
PHPINIDir "/phpdev/php56.x32/"
LoadModule php5_module "/phpdev/php56.x32/php5apache2_4.dll"
Back to top
ml1



Joined: 28 Jan 2009
Posts: 8

PostPosted: Tue 05 Nov '19 14:18    Post subject: Reply with quote

Ugh. I found the problem.

For some reason, stopping/restarting the service wasn't rereading the path. Instead of using the change I made to the PATH, the change was being appended.

After rebooting the server, the path is now correct and everything shows 5.6.40.

Thanks for the tips, they got me thinking about other things that could be the problem.
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 982
Location: Amsterdam, NL, EU

PostPosted: Fri 29 Nov '19 2:17    Post subject: PHP 7.4.0 released Reply with quote

The PHP development team announces the immediate availability of PHP 7.4.0. This release marks the fourth feature update to the PHP 7 series.

PHP 7.4.0 comes with numerous improvements and new features such as:

- Typed Properties
- Arrow Functions
- Limited Return Type Covariance and Argument Type Contravariance
- Unpacking Inside Arrays
- Numeric Literal Separator
- Weak References
- Allow Exceptions from __toString()
- Opcache Preloading

There are also several deprecations, and some extensions have been removed from the core distribution.

For source downloads of PHP 7.4.0 please visit our downloads page. Windows binaries can be found on the PHP for Windows site. The list of changes is recorded in the ChangeLog.

A migration guide is available in the PHP Manual. Please consult it for the detailed list of new features and backward incompatible changes.

Release Announcement: https://php.net/releases/7_4_0.php
Downloads: https://www.php.net/downloads
Windows downloads: https://windows.php.net/download
Changelog: https://www.php.net/ChangeLog-7.php#7.4.0
Migration guide: https://php.net/manual/migration74.php

Many thanks to all the contributors and supporters!

Derick Rethans and Peter Kokot
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 982
Location: Amsterdam, NL, EU

PostPosted: Wed 04 Dec '19 6:45    Post subject: Reply with quote

I have upgraded my 7.4.0 builds to ImageMagick 7.0.9-7 Q16 x64/x86 2019-11-28. You can find the installer and the binaries here:

https://ci.appveyor.com/project/Jan-E/imagemagick-windows/builds/29233796

Look for the artifacts in the jobs. For VC15 that is

https://ci.appveyor.com/project/Jan-E/imagemagick-windows/builds/29233796/job/l3uelac2qe481pqg/artifacts (x64)
https://ci.appveyor.com/project/Jan-E/imagemagick-windows/builds/29233796/job/b6ns22dm3g4f68h4/artifacts (x86)

Every time I recompile one of the builds they will be upgraded to ImageMagick 7.0.9-7.
Back to top


Reply to topic   Topic: PHP 7.4.0, 7.3.12, 7.2.25, 7.1.33, 7.0, 5.6, 5.5, 5.4, 5.3 View previous topic :: View next topic
Post new topic   Forum Index -> Building & Member Downloads Page Previous  1, 2, 3 ... 10, 11, 12